:root {
    --th-c-white:  transparent;
    --th-c-black:  var(--tc-color-c1);
    --th-c-black-Blur:  rgba(0,  0,  0,  .14);
    --th-c-blackLight-Blur:  rgba(0,  0,  0,  .2);
    --th-c-blackLightest-Blur:  rgba(0,  0,  0,  .12);
    --th-c-greysLightestGrey:  #E3E3E3;
    --th-c-greysLightGrey:  #;
    --th-c-greysMediumLightGrey:  #b0b0b0;
    --th-c-greysMediumDarkGrey:  #868686;
    --th-c-greysMediumDarkGrey-Blur:  rgba(130, 130, 130, .25);
    --th-c-greysDarkGrey:  #4F4F4F;
    --th-c-greysDisabledGrey:  var(--th-c-greysMediumLightGrey);
    --th-c-alertWrongPrimary:  #B71C1C;
    --th-c-alertWrongTint:  #FFE0E3;
    --th-c-alertSuccessPrimary:  #1B5E20;
    --th-c-alertSuccessTint:  #E3FAE4;
    --th-c-alertWarningPrimary:  #B0B0B0;
    --th-c-alertWarningTint:  #FFF1CC;
    --th-c-lavendarIndigoLight:  #646cff;
    --th-c-fuchsia:  #E600B4;
    --th-c-paleYellow:  #FFF8E1;
    --th-border-form:  none;
    --th-border-radius:  0px;
    --th-header-dividers:  1px solid var(--th-c-greysLightestGrey);


    --th-button-height: 56px;
    --th-button-font-weight: 700;
    --th-button-padding: 18px 32px;
    --th-button-text-transform: uppercase;

    --th-button-background-color: transparent;
    --th-button-font-color: #241F21 !important;
    --th-button-border: 1.5px solid #241F21 !important;
    --th-button-outline: 1px solid #241F21;
    --th-button-outline-offset: -5px;
    --th-button-box-shadow: 0 0 0 1.5px #241F21;

    --th-button-continue-shopping-background-color: transparent;
    --th-button-continue-shopping-font-color: #241F21;
    --th-button-continue-shopping-border:none;
    --th-button-continue-shopping-outline:none;
    --th-button-continue-shopping-outline-offset:none;
    --th-button-continue-shopping-box-shadow: none;



    --font-family-thirstie-headings: "Espolon BT Display";
    --font-family-thirstie-content: "Espolon BT Sans";

    --thirstie-cart-background-color: #E3E3E3;
    --thirstie-checkout-background-color: transparent;

    --thirstie-cta-radius: 0px;

    /*PDP*/
    --thirstie-primary-color: var(--tc-color-c1);
    --thirstie-border-color: #b0b0b0;
    --thirstie-elem-border-radius: 8px;

    --thirstie-pdp-address-color: #241F21;
    --thirstie-pdp-address-background: var(--tc-color-c3);
    --thirstie-pdp-address-radius: 8px;
    --thirstie-pdp-address-font-size: 18px;
    --thirstie-pdp-address-font-weight: 500;

    --thirstie-pdp-address-input-color: var(--tc-color-c1);
    --thirstie-pdp-address-input-background: #FFFFFF;
 
    --thirstie-pdp-address-input-status-message-color: #241F21;
    --thirstie-pdp-address-input-status-message-font-size: 14px;
    --thirstie-pdp-address-input-status-message-font-weight: 500;

    --thirstie-pdp-card-shipping-method-color: var(--tc-color-c1);
    --thirstie-pdp-card-color: #241F21;
    --thirstie-pdp-card-background: #E3E3E3;
    --thirstie-pdp-card-radius: 0;

    --thirstie-pdp-card-retailer-name-text: uppercase;

    --thirstie-pdp-card-details-font-size: 18px;
    --thirstie-pdp-card-details-font-weight: 500;

    --thirstie-pdp-card-input-checkbox-background: #E3E3E3;
    --thirstie-pdp-card-input-checkbox-border: #E3E3E3;
    --thirstie-pdp-card-input-checkbox-color: var(--tc-color-c1);
    --thirstie-pdp-card-input-checkbox-label-color: #E3E3E3;

    --thirstie-pdp-price-color: var(--tc-color-c1);
    --thirstie-pdp-price-font: var(--font-family-thirstie-content);

    --thirstie-pdp-select-color: var(--tc-color-c1);
    --thirstie-pdp-select-background: #ffffff;
    --thirstie-pdp-select-background-hover: #ffffff;
    --thirstie-pdp-select-border: 1px solid #E3E3E3;
    --thirstie-pdp-select-border-radius: 0px;
    --thirstie-pdp-select-font-size: 18px;
    --thirstie-pdp-select-font-weight: 500;

    --thirstie-pdp-input-color: var(--tc-color-c1);
    --thirstie-pdp-input-background: #FFFFFF;
    --thirstie-pdp-input-background-hover: #E3E3E3; /*address input*/
    --thirstie-pdp-input-border: 1px solid #E3E3E3;
    --thirstie-pdp-input-border-radius: 8px;
    
    --thirstie-pdp-disclaimer-tax-color: #000000;
    --thirstie-pdp-disclaimer-tax-font-size: 14px;
    --thirstie-pdp-disclaimer-tax-font-weight: 500;

    --thirstie-pdp-error-message-background: #E3E3E3;
    --thirstie-pdp-error-message-color:var(--tc-color-c1);
    --thirstie-pdp-error-message-font-size: 14px;
    --thirstie-pdp-error-message-font-weight: 500;

    --thirstie-pdp-accordion-info-font-size: 18px;
    --thirstie-pdp-accordion-info-font-weight: 500;


    /*PDP RETAILER SECTION (ondemand shipping)*/

    --thirstie-pdp-retailer-selection-padding: 16px 32px;
    --thirstie-pdp-retailer-selection-font-weight: 500;
    --thirstie-pdp-retailer-selection-font-size: 18px;   
    

    /*cart icon*/
    --thirstie-cart-header-icon-color: #ffffff;
    --thirstie-cart-header-icon-notification-background: var(--tc-color-c3);
    --thirstie-cart-header-icon-notification-color: "white";

    /*cart*/
    --thirstie-cart-header-retailer-text: uppercase;
    --thirstie-cart-header-retailer-color: var(--tc-color-c1);
    --thirstie-cart-header-retailer-font-size: 24px;
    --thirstie-cart-header-retailer-font-weight: 700;


    --thirstie-cart-content-height-calc: 267px;
    /*cart prod name*/
    --thirstie-cart-content-prod-name-font-size: 18px;
    --thirstie-cart-content-prod-name-font-weight: 700;
    
    /*cart prod price*/
    --thirstie-cart-content-prod-price-font-size: 24px;
    --thirstie-cart-content-prod-price-font-weight: 700;

    /*cart prod details*/
    --thirstie-cart-content-prod-details-font-size: 14px;
    --thirstie-cart-content-prod-details-font-weight: 500;

    /*cart totals details*/
    --thirstie-cart-content-totals-detail-font-size: 18px;
    --thirstie-cart-content-totals-detail-font-weight: 500;

    /*cart tax disclaimer*/
    --thirstie-cart-content-tax-disclaimer-font-size: 14px;
    --thirstie-cart-content-tax-disclaimer-font-weight: 500;

    /*CART warning message*/
    --th-cart-order-warning-message-header-color: #241F21;
    --th-cart-order-warning-message-header-background: #ffe5c6;
    --th-cart-order-warning-message-header-font-size: 14px;
    --th-cart-order-warning-message-header-font-weight: 500;


    /*checkout */
    --thirstie-checkout-card-background: #e3e3e3;
    --thirstie-checkout-card-color: #241F21;
    --thirstie-checkout-contact-bg-color: #FFFFFF;


    /*checkout card title */
    --thirstie-checkout-section-title-transform: uppercase;
    --thirstie-checkout-section-title-font-size: 24px;

    /*checkout card subtitle */
    --thirstie-checkout-section-subtitle-transform: capitalize;
    --thirstie-checkout-section-subtitle-font-size: 18px;

    /*checkout card breadcrumb */
    --thirstie-checkout-breadcrumb-text-transform: uppercase;
    --thirstie-checkout-breadcrumb-active: #241F21;
    --thirstie-checkout-breadcrumb-inactive: #241F21;

    /*checkout card input checkbox */
    --thirstie-checkout-input-checkbox-background: #241F21;
    --thirstie-checkout-input-checkbox-border: transparent;
    --thirstie-checkout-input-checkbox-color: var(--tc-color-c1);
    --thirstie-checkout-input-checkbox-label-color: #241F21;
    --thirstie-checkout-input-checkbox-label-font-size: 14px;
    --thirstie-checkout-input-checkbox-label-font-weight: 500;
    /*checkout card input checkbox */

    --thirstie-checkout-input-form-background: var(--thirstie-pdp-address-input-background);
    --thirstie-checkout-input-form-color: var(--thirstie-pdp-address-input-color);
    --thirstie-checkout-input-form-font-size: 18px;

    --thirstie-checkout-input-form-label-color: #B0B0B0;
    --thirstie-checkout-input-form-label-font-size: 18px;
    --thirstie-checkout-input-form-label-font-size-float: 12px;
    --thirstie-checkout-input-form-label-font-weight: 500;
    

    /*checkout card accordion wrap */

    --thirstie-checkout-accordion-wrap-font-weight: 500;
    --thirstie-checkout-accordion-wrap-font-size: 18px;
    --thirstie-checkout-accordion-wrap-title-font-weight: 700;
    --thirstie-checkout-accordion-wrap-title-font-size: 18px;
    
    /*checkout card delivery tip*/

    --thirstie-checkout-delivery-tip-title-message-font-size: 16px;
    --thirstie-checkout-delivery-tip-title-message-font-weight: 500;
    --thirstie-checkout-delivery-tip-title-message-color: 500;

    --thirstie-checkout-shipping-recipient-background: white;
    --thirstie-checkout-shipping-recipient-border: none;
    --thirstie-checkout-shipping-recipient-color: #241F21;

    --thirstie-checkout-shipping-recipient-checkbox-color: #241F21;
    --thirstie-checkout-shipping-recipient-checkbox-background: transparent;
    --thirstie-checkout-shipping-recipient-checkbox-border: #241F21;

    --thirstie-checkout-shipping-recipient-checkbox-label-font-size: 18px;
    --thirstie-checkout-shipping-recipient-checkbox-label-font-weight: 500;
    --thirstie-checkout-shipping-recipient-checkbox-label-color: #241F21;
    
    --thirstie-checkout-shipping-address-background: white;
    --thirstie-checkout-shipping-address-color: white;

    --thirstie-checkout-edit-icon-color: white;

    --thirstie-checkout-complete-order-message-font-weight: 500;
    --thirstie-checkout-complete-order-message-font-size: 14px;
    --thirstie-checkout-complete-order-message-color: 14px;

    /*Thank you page*/

    --thirstie-thankyou-card-background: #E3E3E3;
    --thirstie-thankyou-card-color: var(--tc-color-c1);

    --thirstie-thankyou-card-details-color: var(--tc-color-c1);
    --thirstie-thankyou-card-details-border: transparent;

    --thirstie-thankyou-finalinfo-div-flex-direction: row;
    --thirstie-thankyou-finalinfo-div-gap: 8px;


    --thirstie-thankyou-footer-background: #E3E3E3;

    
    /*information back button*/
    --thirstie-checkout-back-button-background: transparent;
    --thirstie-checkout-back-button-color: #241F21;
    --thirstie-checkout-back-button-border: 0px;

    /*information promo button*/
    --thirstie-checkout-promo-button-background: transparent;
    --thirstie-checkout-promo-button-color: white;
    --thirstie-checkout-promo-button-border: 1px solid white;
    --thirstie-checkout-promo-button-border-radius: var(--thirstie-cta-radius);

    --thirstie-checkout-promo-error-message-color: #E3E3E3;
    --thirstie-checkout-promo-error-message-font-size:14px;
    --thirstie-checkout-promo-error-message-font-weight: 500;

    
    /*information promo button*/
    --thirstie-checkout-continue-button-background: transparent;
    --thirstie-checkout-continue-button-color: var(--tc-color-c1);
    --thirstie-checkout-continue-button-border: 1.5px solid #241F21;
    --thirstie-checkout-continue-button-outline: 1px solid #241F21;
    --thirstie-checkout-continue-button-outline-offset: -5px;

    /*button primary*/
    --thirstie-button-primary-font-size: 18px;

    /*FOOTER*/
    --thirstie-footer-font-size: 14px;
    --thirstie-footer-font-weight: 500;

    /*FOOTER LINK*/
    --thirstie-footer-link-font-size: 18px;
    --thirstie-footer-link-font-weight: 500;

    /*FOOTER CHECKOUT*/
    --thirstie-footer-checkout-background: transparent;
    --thirstie-footer-checkout-color: var(--tc-color-c1);
    --thirstie-footer-checkout-font-size: 12px;
    --thirstie-footer-checkout-font-weight: 500;

     /*CART ORDER*/
    --th-cart-order-container-checkout-info-height: 700px;
    --th-cart-order-container-checkout-shipping-height: 900px;
    --th-cart-order-container-checkout-payment-height: 1000px;
    
    --th-checkbox-icon: url("data:image/svg+xml,%3Csvg width='12' height='10' viewBox='0 0 12 10' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M5.17918 8.39919L4.17202 9.5L3.15041 8.39919L0.5 5.54954L1.52322 4.45046L4.17202 7.30012L10.4928 0.5L11.5 1.59908L5.17918 8.39919Z' fill='%23E3E3E3'/%3E%3C/svg%3E");


    /*checkout form*/

    --th-checkout-payment-border: none; /*error*/
    --th-checkout-payment-border-radius: 8px;
    --th-checkout-payment-background-color: #FFFFFF;
    --th-checkout-payment-text-color: #241F21;
    --th-checkout-payment-header-color: #B0B0B0;
    --th-checkout-payment-input-border: none;
    --th-checkout-payment-input-bg: #F9FAFA;
    --th-checkout-payment-input-text-color: #241F21; /*error*/
    --th-checkout-payment-placeholder-text-color: #B0B0B0;
    --th-checkout-payment-input-focus-outline: #B0B0B0;
    --th-checkout-payment-edit-svg: #2E2E2E;

}

@media screen and (max-width: 764px) {
    :root{
        --thirstie-pdp-retailer-selection-padding: 16px 10px;
    }
}

@media screen and (max-width: 550px) {
    :root{
        --thirstie-thankyou-finalinfo-div-flex-direction: column;
        --thirstie-thankyou-finalinfo-div-gap: 16px;
    }
}


.thirstie{
    overflow: hidden;
}

.thirstie .header-container{
    padding: 32px 0px;
    background-color: var(--thirstie-cart-background-color);
}

.thirstie .header-container nav{
    max-width: 1024px;
    margin: 0 auto;
}

.thirstie .header-container nav a{
    color: var(--thirstie-primary-color);
    text-decoration: none;
    font-weight: 700;
    display: flex;
    align-items: center;
    gap: 8px;
    font-family: var(--font-family-thirstie-content);
    font-size: 18px;
}

@media (max-width: 768px) {
    .thirstie .header-container{
        padding-left: 32px;
        padding-right: 32px;
        padding-top: 56px;
    }
}

.thirstie #loader {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: var(--thirstie-cart-background-color);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease-out;
    z-index: 9999;
}

/* Spinner */
.thirstie .spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #ccc;
    border-top-color: #241F21;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

/* Animazione rotazione */
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.sn_block_thankyoupage_thirstie{
    display: none;
}

.sn_block_banner_pre_footer.bb_template_full.sn_block_thankyoupage_thirstie_flex{
    display: none;
}

.mainwprapper-opacity {
  filter: blur(5px);
}
.body-no-scroll {
   overflow: hidden;
}

.th-checkout-section--container.cart-checkout-test{
    height: 660px;
}


.legal-links-bottom[data-v-12c154ce]{
    display:flex;
    gap:16px;
    justify-content:center;
    background: var(--thirstie-footer-checkout-background);
    padding-bottom: 24px;
    font-family: cursive;
}
.legal-links-bottom a[data-v-12c154ce]{
    color:var(--th-c-black);
    text-decoration:none;
    font-family: var(--font-family-thirstie-headings);
}

.p-AccordionItem.p-AccordionItem--selected .p-AccordionButton{
    font-family: var(--font-family-thirstie-headings);
    color: #241F21 !important;
}

.p-CardForm .p-FieldLabel{
    font-family: var(--font-family-thirstie-headings);
}